<?php

class AtfcDbSettings
{

  public function __construct()
  {
    $this->atfcUpgradeDbTable();
  }

  //@Upgrade Database Tabel.
  //@Introduced in version: 1.0.0

  function atfcUpgradeDbTable()
  {

    global $wpdb;

    $atfc_data_table = $wpdb->prefix . "atfc_data"; // for deatils. each day info.

    if ($wpdb->get_var("SHOW TABLES LIKE '$atfc_data_table'") != $atfc_data_table) {
      $this->atfcCreateCustomTable();
    }
  }

  public static function atfcCreateCustomTable()
  {

    global $wpdb;
    $atfc_data_table = $wpdb->prefix . "atfc_data"; // for deatils. each day info.

    $sql = "CREATE TABLE $atfc_data_table (
                            ID int(11) NOT NULL AUTO_INCREMENT,
                            postid bigint(20) NOT NULL,
                            atfc_id bigint(20) NOT NULL,
                            atfc_dload bigint(20) DEFAULT 1,
                            ip_dload varchar(32) NOT NULL,
                            dload_date datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
                            PRIMARY KEY  (ID)
                    );";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
  }
}

// Initialize.
new AtfcDbSettings();
