<div class="wrap atfc-filter-wrapper" id="atfc_voting_report_page">

  <h2><?php esc_html_e('Download Report:', 'bwl-atfc'); ?><span id="atfc-admin-loader" class="dn">Processing ....</span>
  </h2>




  <div class="notice notice-warning">
    <p class="bwl_plugins_notice_text">
      <strong class="bwl_plugins_notice_text--warning"><span class="dashicons dashicons-superhero-alt"></span>
        Tips:</strong>
      Select
      option from <strong class="bwl_plugins_notice_text--success">"Files"</strong> drop-down list to generate details
      download report.
    </p>

  </div>

  <div class="ctrl-section">

    <form method="post" action="" enctype="multipart/form-data">

      <?php

            wp_nonce_field('atfc-voting-data-export', '_wpnonce-atfc-voting-data-export');

            $args = [
                'post_type' => 'product',
                'posts_per_page' => -1,
                'orderby' => 'title',
                'order' => 'ASC'
            ];

            $query = new WP_Query($args);

            ?>


      <table>
        <tr style="text-align: center;">
          <td style="width: 15%;"><?php esc_html_e('Products:', 'bwl-atfc'); ?>
            <span class="report-break"></span>
            <select id="atfc_products" name="atfc_products" style="width: 100%;">
              <option value="" selected>- <?php esc_html_e('Select', 'bwl-atfc'); ?> -</option>
              <?php


                            if ($query->have_posts()) :

                                while ($query->have_posts()) : $query->the_post();

                            ?>
              <option value="<?php echo get_the_ID(); ?>"><?php echo get_the_title(); ?></option>
              <?php
                                endwhile;

                            endif;
                            ?>
            </select>
          </td>

          <td style="width: 25%;"><?php esc_html_e('Files:', 'bwl-atfc'); ?>
            <span class="report-break"></span>
            <select id="atfc_attachment_title" name="atfc_attachment_title">
              <option value="" selected>- <?php esc_html_e('Select', 'bwl-atfc'); ?> -</option>
            </select>
          </td>


          <td style="width: 30%;"><?php esc_html_e('Custom Date Range:', 'bwl-atfc'); ?>
            <input type="checkbox" id="atfc_custom_date_range" name="atfc_custom_date_range" />
            <span class="report-break"></span>
            <input type="text" placeholder="Start" size="10" id="atfc_filter_start_date"
              name="atfc_filter_start_date" />
            <input type="text" placeholder="End" size="10" id="atfc_filter_end_date" name="atfc_filter_end_date" />
          </td>
        </tr>

        <tr>
          <td colspan="9" style="text-align:center;">
            <input type="hidden" name="_wp_http_referer" value="<?php echo $_SERVER['REQUEST_URI'] ?>" />
            <input type="button" name="mv_atfc_go" id="mv_atfc_go"
              value="<?php esc_html_e('Generate Report', 'bwl-atfc'); ?>" class="button button-primary button-large" />
            &nbsp; <input type="submit" name="atfc_download_report" id="atfc_download_report"
              value="<?php esc_html_e('Download Report', 'bwl-atfc'); ?>" class="button button-primary button-large" />
            &nbsp; <input type="button" name="atfc_reset_report" id="atfc_reset_report"
              value="<?php esc_html_e('Reset Report', 'bwl-atfc'); ?>" class="button button-primary button-large" />
          </td>
        </tr>
      </table>

    </form>

  </div>

  <table cellpadding="0" cellspacing="0" border="0" class="table table-striped table-bordered dn"
    id="callback-lists-table" style="background:#FFF; text-align: center;width: 100%;">
    <thead>
      <tr>
        <th width="20%"><?php esc_html_e('Product', 'bwl-atfc'); ?></th>
        <th width="20%"><?php esc_html_e('Attachment', 'bwl-atfc'); ?></th>
        <th width="20%"><?php esc_html_e('Downloads', 'bwl-atfc'); ?></th>
        <th width="20%"><?php esc_html_e('Date', 'bwl-atfc'); ?></th>
        <th width="20%"><?php esc_html_e('IP', 'bwl-atfc'); ?></th>
      </tr>
    </thead>
  </table>

</div>