<div class="wrap" id="atfc-product-license">

  <h2><?php echo $pluginLicenseData['title'] . " License Page"; ?></h2>

  <div id="loader"></div>

  <?php if ($pluginLicenseData['status'] == 2) { ?>

  <p class="developer-info">

    No license activation is required.

  </p>

  <?php } elseif ($pluginLicenseData['status'] == 0) { ?>
  <div class="license_form_container">
    <h4>
      In order to unlock premium options
      and official support of <?php echo $pluginLicenseData['title'] ?>, you need to activate your copy of the plugin.
    </h4>

    <h3>Add Plugin Purchase Code:</h3>
    <form action="#" id="atfc_verify_purchase">
      <input type="text" value="" name="purchase_code" id="purchase_code" placeholder="Purchase code">
      <input type="submit" value="Active License" id="verify" class="button button-primary">
    </form>

    <p>
      <strong>Do you need any help?</strong> <a href="<?php echo $pluginLicenseData['supportLink']; ?>"
        target="_blank">Send
        a message to the
        developer</a>.
    </p>
  </div>

  <?php } elseif ($pluginLicenseData['status'] == 1) { ?>

  <div class="license_info_container">
    <h3>License Information:</h3>

    <?php

      $purchaseInfo = $pluginLicenseData['info'];
      $supportRenwalInfo = getRenewalDaysLeft($purchaseInfo['supported_until']);
      $supportRenwalClass = $supportRenwalInfo['msg'] == 1 ? "support-valid" : "support-expired";

      ?>

    <ul class="plugin_purchase_info">
      <li><strong>License Type:</strong> <span><?php echo $purchaseInfo['license'] ?></span></li>
      <li><strong>Purchase Date:</strong> <span><?php echo bwlBeautifyDate($purchaseInfo['sold_at']) ?></span></li>
      <li><strong>Support Until:</strong>
        <span><?php echo bwlBeautifyDate($purchaseInfo['supported_until']) ?></span>
        <span class="<?php echo $supportRenwalClass ?>"><?php echo $supportRenwalInfo['msg']; ?></span>
      </li>
    </ul>

    <button id="atfc_remove_license" class="button button-primary"
      data-verify_hash="<?php echo $purchaseInfo['verify_hash'] ?>">Remove License</button>

    <?php if (getRenewalDaysLeft($purchaseInfo['supported_until'])['status'] == 0) : ?>
    <a href="<?php echo BWL_ATFC_CC_URL ?>" class="button button-primary" target="_blank">Renew License</a>
    <?php endif; ?>

  </div>

  <?php } else { ?>

  <?php } ?>

</div>